#include <gui/combo_box.h>
#include <gui.h>
#include <input.h>
#include <peripheral.h>
#include <camera.h>

static int update(struct gui_common *const g,
    const union peripheral *const p, const struct camera *const cam,
    struct input *const in)
{
    return -1;
}

static int render(const struct gui_common *const g)
{
    return -1;
}

static void on_pressed(void *const arg)
{
}

void gui_combo_box_init(struct gui_combo_box *const c,
    const enum gui_button_type t)
{
    static const struct gui_common_cb cb =
    {
        .update = update,
        .render = render
    };

    *c = (const struct gui_combo_box)
    {
        .common =
        {
            .cb = &cb
        }
    };

    gui_button_init(&c->b, t);
    c->b.on_pressed = on_pressed;
    gui_add_child(&c->common, &c->b.common);
}
